:root {
    /* 1rem = 10px на 16px дефолте */
    font-size: 62.5%; 

    --fs-sm: clamp(1.3rem, 0.09vw + 1.27rem, 1.4rem);
    --fs-md: clamp(1.5rem, 0.18vw + 1.44rem, 1.7rem);
    --fs-lg: clamp(1.6rem, 0.18vw + 1.54rem, 1.8rem);

    --fs-xl: clamp(1.8rem, 0.36vw + 1.69rem, 2.2rem);
    --fs-xxl: clamp(2.2rem, 0.54vw + 2.03rem, 2.8rem);
    --fs-3xl: clamp(2.6rem, 0.71vw + 2.37rem, 3.4rem);
    --fs-4xl: clamp(3.2rem, 1.16vw + 2.83rem, 4.5rem);
    --fs-huge: clamp(6rem, 2.22vw + 5.33rem, 8rem);

    --lh-tight: clamp(1.1, 1.2rem - 0.01vw, 1.2);
    --lh-heading: 1.25;
    --lh-body: 1.55;
}


h1, h2, h3, h4, h5, h6, p, span, .content { 
    z-index: var(--z-content); 
    position: relative; 
    color: var(--color-text-silver);
}
h1, h2, h3 {
    text-transform: uppercase;
    text-align: center;
}
h1, h2 {
    letter-spacing: 0.3em;
    text-indent: 0.3em; 
}
h3 {
    letter-spacing: 0.13em;
    text-indent: 0.13em; 
}
a { text-decoration: none; color: inherit; }
p {
    font-size: var(--fs-md);
    line-height: var(--lh-body);
}
.note, .ui-title-sm { 
    font-size: var(--fs-sm); 
    line-height: var(--lh-body); 
}

/* Цвета и утилиты */
.text-gold { color: var(--gold-base); }
.text-copper-dark { color: var(--copper-dark); }
.text-copper { color: var(--copper-base); }
.text-silver-dimm { color: var(--color-text-silver-dimm); opacity: 0.85; }

.text-left { text-align: start; }
.text-center { text-align: center; }
.text-right { text-align: end; }
.text-stretch { text-align: justify; }

/* Дополнительные заголовки*/
/* Oda */
.accent-oda-4xl { 
    font-family: var(--wp--preset--font-family--oda) !important; 
    font-size: var(--fs-4xl) !important;
    line-height: var(--lh-tight) !important;
    letter-spacing: 0.3em !important; 
    text-indent: 0.3em;
    text-transform: uppercase;
}
.accent-oda-3xl { 
    font-family: var(--wp--preset--font-family--oda) !important; 
    font-size: var(--fs-3xl) !important;
    line-height: var(--lh-tight) !important;
    letter-spacing: 0.3em !important; 
    text-indent: 0.3em;
    text-transform: uppercase;
}
.accent-oda-lg { 
    font-family: var(--wp--preset--font-family--oda) !important; 
    font-size: var(--fs-lg) !important;
    line-height: var(--lh-tight) !important;
    letter-spacing: 0.1em !important; 
    text-indent: 0.1em;
    text-transform: uppercase;
}
/* Forum */
.is-style-forum-accent-4xl,
.accent-forum-4xl { 
    font-family: var(--wp--preset--font-family--forum) !important; 
    font-size: var(--fs-4xl) !important;
    line-height: var(--lh-tight) !important;
    letter-spacing: 0.3em !important; 
    text-indent: 0.3em;
    font-weight: 600;
    text-transform: uppercase;
}
.is-style-forum-accent-3xl,
.accent-forum-3xl { 
    font-family: var(--wp--preset--font-family--forum) !important; 
    font-size: var(--fs-3xl) !important;
    line-height: var(--lh-heading) !important;
    letter-spacing: 0.3em !important; 
    text-indent: 0.3em;
    text-transform: uppercase !important;
} 
.is-style-forum-accent-xxl,
.accent-forum-xxl { 
    font-family: var(--wp--preset--font-family--forum) !important; 
    font-size: var(--fs-xxl) !important;
    line-height: var(--lh-heading) !important;
    letter-spacing: 0.2em !important; 
    text-indent: 0.2em;
    text-transform: uppercase !important;
} 
/* Simphonia */
.is-style-simphonia-accent-huge,
.accent-simphonia-huge { 
    font-family: var(--wp--preset--font-family--simphonia) !important; 
    font-size: var(--fs-huge) !important;
    line-height: var(--lh-tight) !important;
    letter-spacing: 0.2em !important; 
    text-indent: 0.2em;
    text-transform: uppercase !important;
} 
.is-style-simphonia-accent-4xl,
.accent-simphonia-4xl { 
    font-family: var(--wp--preset--font-family--simphonia) !important; 
    font-size: var(--fs-4xl) !important;
    line-height: var(--lh-tight) !important;
    letter-spacing: 0.3em !important; 
    text-indent: 0.3em;
    text-transform: uppercase !important;
} 
.is-style-simphonia-accent-3xl,
.accent-simphonia-3xl { 
    font-family: var(--wp--preset--font-family--simphonia) !important; 
    font-size: var(--fs-3xl) !important;
    line-height: var(--lh-heading) !important; 
    letter-spacing: 0.3em !important; 
    text-indent: 0.3em; 
    text-transform: uppercase !important;
} 
.is-style-simphonia-accent-xxl,
.accent-simphonia-xxl { 
    font-family: var(--wp--preset--font-family--simphonia) !important; 
    font-size: var(--fs-xxl) !important;
    line-height: var(--lh-heading) !important; 
    letter-spacing: 0.1em !important;
    text-indent: 0.1em; 
    text-transform: uppercase !important;
}
.is-style-simphonia-accent-xl,
.accent-simphonia-xl { 
    font-family: var(--wp--preset--font-family--simphonia) !important; 
    font-size: var(--fs-xl) !important;
    line-height: var(--lh-body) !important; 
    letter-spacing: 0.1em !important;
    text-indent: 0.1em; 
}

/* Акцентные цифры */
.is-style-number-3xl,
.number-3xl { 
    font-family: var(--wp--preset--font-family--bauhaus) !important;
    font-size: var(--fs-3xl) !important; 
    letter-spacing: 0.1rem;
}
.is-style-number-xl,
.number-xl { 
    font-family: var(--wp--preset--font-family--bauhaus);
    font-size: var(--fs-xl); 
    letter-spacing: 0.2rem;
    text-indent: 0.2em; 
}
.is-style-number-md, .number-md {
    font-family: var(--wp--preset--font-family--bauhaus) !important;
    font-size: var(--fs-xl) !important;
    letter-spacing: 0.1rem;
    text-indent: 0.1em; 
}
.is-style-number-lg, .number-lg { 
    font-family: var(--wp--preset--font-family--oda) !important;
    font-size: var(--fs-lg) !important;
    letter-spacing: 0.3rem;
    font-weight: 400;
}
.is-style-number-sm, .number-sm { 
    font-family: var(--wp--preset--font-family--oda) !important;
    font-size: var(--fs-md) !important;
    letter-spacing: 0.2rem;
    font-weight: 400;
}

/* Карточки размеры */
.is-style-ui-lg, .ui-lg {
    font-size: var(--fs-lg);
    font-weight: 600; 
    line-height: var(--lh-tight);
    font-family: var(--wp--preset--font-family--montserrat) !important;
}
.is-style-ui-md, .ui-md {
    font-size: var(--fs-lg); 
    line-height: var(--lh-tight);
    font-family: var(--wp--preset--font-family--montserrat) !important;
}
.is-style-ui-sm, .ui-sm {
    font-size: var(--fs-sm);
    line-height: var(--lh-body);
    font-family: var(--wp--preset--font-family--montserrat) !important;
}

.txt-category { 
    white-space: nowrap; 
    font-size: var(--fs-sm); 
    /* text-transform: uppercase; */
    letter-spacing: 0.05em;
    color: var(--color-text-silver);
}

.time {
    color: var(--color-text-silver);
    letter-spacing: 0.1em;
}

.p-text {
    font-size: var(--fs-md);
    line-height: var(--lh-body);
    color: var(--color-text-silver);
}

.custom-link {
    font-size: var(--fs-md);
    line-height: var(--lh-body);
}

.accent-line {
    height: var(--accent-line-height); 
    --phrase-speed: var(--accent-line-time);
    transition: opacity var(--phrase-speed) ease-in-out;
    display: inline-flex;
    text-align: center;
    opacity: 1 !important;  
    color: var(--color-text-silver);
}
.accent-line.is-hidden {
    opacity: 0 !important;
    pointer-events: none;
}

.brand-text {
    font-family: var(--wp--preset--font-family--oda);
    line-height: var(--lh-heading);
    letter-spacing: 0.1em;
    text-indent: 0.1em; 
}

.fitty-container {   
    width: 95%;
    height: 95%;
    align-items: center;
    justify-content: center;
    text-align: center;
    display: flex;
    align-self: center;
}
.js-fitty {
    display: inline-block !important;
    white-space: nowrap;
    line-height: 1;

}


#join-text-changer {
    opacity: 0;
    transition: opacity 0.4s ease-in-out;
}
#join-text-changer.is-visible { opacity: 1; }

.text-logo {
     text-shadow: -1px -1px 2px rgba(0, 0, 0, 0.95),
            1px 1px 1px rgba(255, 255, 255, 0.5);

    

}

.text-silver-grad {
    background: var(--gradient-silver-blb);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  
}

.accent-panel p .link_custom {
    font-size: var(--fs-lg);
    margin: var(--space-s) 0;
}
.link_custom {
    text-align: center;

}
.link_custom::before {
    content: '⤖';
    color: var(--gold-base);
    margin-right: var(--space-m);
}


.accent-panel li {
    font-size: var(--fs-lg);
    margin: var(--space-s) 0;
    color: var(--color-text-silver);
    line-height: var(--lh-body);

}
.accent-panel li::before {
    content: '★';
    color: var(--gold-base);
    margin-right: var(--space-m);
}

.in-double-text p { text-align: justify; white-space: pre-line;}


.text-limit-product-name {
    --lines: 3; 

    /* Автоматический расчет высоты: line-height умножаем на количество строк */
    min-height: calc(var(--lines) * 1em * 1.5); /* 1.5 — это ваш line-height */
    max-height: calc(var(--lines) * 1em * 1.5);
  
    /* Стандартные свойства для многоточия */
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: var(--lines); /* Переменная управляет и обрезанием */
    overflow: hidden;
}


.text-short {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 150px;
  }